Package de.gebit.integrity.runner.results

## Class SuiteSummaryResult

- java.lang.Object
- - de.gebit.integrity.runner.results.Result
  - - de.gebit.integrity.runner.results.SuiteSummaryResult

- Direct Known Subclasses:
    `SuiteResult`

      public class SuiteSummaryResult
      extends Result

  This is a basic version of the `SuiteResult` class, which only contains the summary data. When forks return from a suite execution, detailed information about the tests which were run is not available, thus this class is used. If suites are run locally, more detailed info is available, in which case `SuiteResult` is used.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SuiteSummaryResult​(int aTestSuccessCount, int aTestFailCount, int aTestExceptionCount, int aCallExceptionCount, long anExecutionTime)` | Creates an instance.
    `SuiteSummaryResult​(long anExecutionTime)` | Creates an instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Integer` | `getCallExceptionCount()` |
    `Integer` | `getExceptionCount()` | Returns a total exception count, including tests and calls.
    `Integer` | `getTestExceptionCount()` |
    `Integer` | `getTestFailCount()` |
    `Integer` | `getTestSuccessCount()` |
    `protected void` | `setResultCounts​(int aTestSuccessCount, int aTestFailCount, int aTestExceptionCount, int aCallExceptionCount)` | Sets the summary information.

    - ### Methods inherited from class de.gebit.integrity.runner.results.Result

      `getExecutionTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuiteSummaryResult

          public SuiteSummaryResult​(long anExecutionTime)

      Creates an instance.
      Parameters:
        `anExecutionTime` - the execution time

    - #### SuiteSummaryResult

          public SuiteSummaryResult​(int aTestSuccessCount,
                                    int aTestFailCount,
                                    int aTestExceptionCount,
                                    int aCallExceptionCount,
                                    long anExecutionTime)

      Creates an instance.
      Parameters:
        `aTestSuccessCount` - the number of successful tests
        `aTestFailCount` - the number of failed tests
        `aTestExceptionCount` - the number of exceptions
        `anExecutionTime` - the execution time

  - ### Method Detail

    - #### setResultCounts

          protected void setResultCounts​(int aTestSuccessCount,
                                         int aTestFailCount,
                                         int aTestExceptionCount,
                                         int aCallExceptionCount)

      Sets the summary information.
      Parameters:
        `aTestSuccessCount` - the number of successful tests
        `aTestFailCount` - the number of failed tests
        `aTestExceptionCount` - the number of exceptions

    - #### getTestFailCount

          public Integer getTestFailCount()

    - #### getTestSuccessCount

          public Integer getTestSuccessCount()

    - #### getTestExceptionCount

          public Integer getTestExceptionCount()

    - #### getCallExceptionCount

          public Integer getCallExceptionCount()

    - #### getExceptionCount

          public Integer getExceptionCount()

      Returns a total exception count, including tests and calls.
      Returns:
        the total exception count or null if no counts are available